summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSeemant Kulleen <seemant@gentoo.org>2004-06-03 07:28:31 +0000
committerSeemant Kulleen <seemant@gentoo.org>2004-06-03 07:28:31 +0000
commitae3656e160d07d161c7d0dfab30fc50d0e52ab1c (patch)
tree960c380610b1b6686ee057e627fef3f233e82df6 /mail-filter/rblcheck
parentMoving to mail-filter/rblcheck (diff)
downloadhistorical-ae3656e160d07d161c7d0dfab30fc50d0e52ab1c.tar.gz
historical-ae3656e160d07d161c7d0dfab30fc50d0e52ab1c.tar.bz2
historical-ae3656e160d07d161c7d0dfab30fc50d0e52ab1c.zip
Moved from net-mail/rblcheck to mail-filter/rblcheck.
Diffstat (limited to 'mail-filter/rblcheck')
-rw-r--r--mail-filter/rblcheck/ChangeLog19
-rw-r--r--mail-filter/rblcheck/Manifest4
-rw-r--r--mail-filter/rblcheck/files/digest-rblcheck-1.51
-rw-r--r--mail-filter/rblcheck/metadata.xml5
-rw-r--r--mail-filter/rblcheck/rblcheck-1.5.ebuild29
5 files changed, 58 insertions, 0 deletions
diff --git a/mail-filter/rblcheck/ChangeLog b/mail-filter/rblcheck/ChangeLog
new file mode 100644
index 000000000000..6948b5ff4dcd
--- /dev/null
+++ b/mail-filter/rblcheck/ChangeLog
@@ -0,0 +1,19 @@
+# ChangeLog for net-mail/rblcheck
+# Copyright 2002-2004 Gentoo Technologies, Inc.; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/mail-filter/rblcheck/ChangeLog,v 1.1 2004/06/03 07:28:31 seemant Exp $
+
+*rblcheck-1.5 (03 Jun 2004)
+
+ 03 Jun 2004; Seemant Kulleen <seemant@gentoo.org> +metadata.xml,
+ +rblcheck-1.5.ebuild:
+ Moved from net-mail/rblcheck to mail-filter/rblcheck.
+
+ 12 Jun 2003; <msterret@gentoo.org> rblcheck-1.5.ebuild:
+ add Header
+
+*rblcheck-1.5 (14 Aug 2002)
+
+ 14 Aug 2002; Nick Hadaway <raker@gentoo.org>
+ rblcheck-1.5.ebuild, files/digest-rblcheck-1.5 :
+ Initial add of ebuild to portage. Thanks to Enrico Morelli for submitting
+ the original ebuild. Only change made was to use mirror://sourceforge
diff --git a/mail-filter/rblcheck/Manifest b/mail-filter/rblcheck/Manifest
new file mode 100644
index 000000000000..18bdde87a4de
--- /dev/null
+++ b/mail-filter/rblcheck/Manifest
@@ -0,0 +1,4 @@
+MD5 d6c7c15a06489d6e9ff79b4faa2868ea ChangeLog 567
+MD5 b230fb38516767e647fa8224f4a93d1f rblcheck-1.5.ebuild 706
+MD5 5721b86fd871bdfab77231abc6e02f68 metadata.xml 161
+MD5 5b98f78399ffb83e1d63e1e054e8886f files/digest-rblcheck-1.5 65
diff --git a/mail-filter/rblcheck/files/digest-rblcheck-1.5 b/mail-filter/rblcheck/files/digest-rblcheck-1.5
new file mode 100644
index 000000000000..1925eaf231ee
--- /dev/null
+++ b/mail-filter/rblcheck/files/digest-rblcheck-1.5
@@ -0,0 +1 @@
+MD5 fb7ee9adc0e09eee9dda195f9b9e7ca4 rblcheck-1.5.tar.gz 150395
diff --git a/mail-filter/rblcheck/metadata.xml b/mail-filter/rblcheck/metadata.xml
new file mode 100644
index 000000000000..51f94e3fbe0e
--- /dev/null
+++ b/mail-filter/rblcheck/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>net-mail</herd>
+</pkgmetadata>
diff --git a/mail-filter/rblcheck/rblcheck-1.5.ebuild b/mail-filter/rblcheck/rblcheck-1.5.ebuild
new file mode 100644
index 000000000000..cff10af5d6f0
--- /dev/null
+++ b/mail-filter/rblcheck/rblcheck-1.5.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2004 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# Author: Enrico Morelli - 05/08/2002
+# $Header: /var/cvsroot/gentoo-x86/mail-filter/rblcheck/rblcheck-1.5.ebuild,v 1.1 2004/06/03 07:28:31 seemant Exp $
+
+S=${WORKDIR}/${P}
+DESCRIPTION="Perform lookups in RBL-styles services."
+HOMEPAGE="http://rblcheck.sourceforge.net/"
+SRC_URI="mirror://sourceforge/rblcheck/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="x86 ppc sparc alpha hppa mips"
+
+DEPEND="virtual/glibc"
+
+src_compile() {
+ cd ${S}
+ ./configure --prefix=/usr
+ emake || die
+}
+
+src_install () {
+ exeinto /usr/bin
+ doexe rbl rblcheck
+
+ dodoc README docs/rblcheck.ps docs/rblcheck.rtf
+
+}